Skip to content

Get user.

GET
/backend/v1/users/{userId}

Retrieves a user by their ID.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

userId*
Type
string
Required

Query Parameters

includeRoles

Include the user's roles in the response

Type
boolean
Default
false

Responses

Successful Response

application/json
JSON
{
  
"roles": {
  
  
"additionalProperties": {
  
  
  
"id": "string",
  
  
  
"isDefault": false,
  
  
  
"memberCount": 0,
  
  
  
"name": "string",
  
  
  
"permissions": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"projectId": "string",
  
  
  
"system": true
  
  
}
  
},
  
"user": {
  
  
"admin": true,
  
  
"blocked": false,
  
  
"createdAt": "string",
  
  
"email": "string",
  
  
"id": "string",
  
  
"lastInvitationSentAt": "string",
  
  
"machine": false,
  
  
"name": "string",
  
  
"org": "string",
  
  
"permissions": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"roleIds": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"roles": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"social": false,
  
  
"teams": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"verified": true
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: